View Issue Details

IDProjectCategoryView StatusLast Update
0001672Ham Radio DeluxeBugpublic2018-07-25 20:47
ReporterKB3NPH 
Assigned ToK7ZCZ 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version6.4.0.873 
Summary0001672: Radio Buttons for path in Ant/Sat Tab of ALE will NOT save
DescriptionTicket #362743

Enter a new QSO in the logbook. In the ant/sat tab, click one of the path buttons. Save the QSO. Open it and look at the selection. It is gone. In edit select again. Save reopen and check. Not there. I don’t know if it is not saving it or is saving it but not reading it again.
Additional InformationI have been able to replicate this on my machine, so it is a confirmed bug. -Tim
TagsNo tags attached.
ModuleLogbook
Sub-ModuleALE Window
Testing Beta Successful

Relationships

Activities

WA9PIE

2016-12-03 13:55

administrator   ~0003030

Confirmed in 610

WA9PIE

2017-03-05 21:10

administrator   ~0003104

Confirmed in 633

WA9PIE

2018-04-26 01:02

administrator   ~0004898

Confirmed in 806.

K7ZCZ

2018-07-03 09:56

manager   ~0005599

Fixed in the MikeB2 branch with this checkin:
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/4208

K7ZCZ

2018-07-12 16:44

manager   ~0005665

Merged to the main branch with this change:
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/4223

g3ucq

2018-07-13 15:14

viewer   ~0005673

The Ant/Sat tab is not available until the QSO is saved, the ALE closed and reopened. Then I see the Ant/Sat tab but there is no data in any of the fields. There is data in the Rotator field in the QSO entry window.

K7ZCZ

2018-07-13 15:33

manager   ~0005679

If the Ant/Sat tab is not visible when you're creating a QSO, then you should use the "Show:Tabs" menu to make it visible.

The set of tabs configured visible when creating a QSO are different than the set of tabs configured visible when editing a QSO.

The repro steps given previously in this issue aren't very complete; they assume that the Ant/Sat tab is configured to be visible both when creating and when adding a QSO.

g3ucq

2018-07-13 17:09

viewer   ~0005689

If this can only be tested with a configured Rotator then I cannot help.
No data seen in the Ant/Sat fields.

K7ZCZ

2018-07-14 14:28

manager   ~0005702

A rotator is not required.

g3ucq

2018-07-14 15:27

viewer   ~0005703

Radio Buttons for path in Ant/Sat Tab of ALE do save

Issue History

Date Modified Username Field Change
2014-07-21 19:44 KB3NPH New Issue
2014-08-07 13:23 WA9PIE Summary Bug Ticket #362743 Radio Buttons for path in Ant/Sat Tab of ALE will NOT save => Bug: Radio Buttons for path in Ant/Sat Tab of ALE will NOT save
2014-08-07 13:23 WA9PIE Description Updated View Revisions
2015-09-17 13:17 WA9PIE Category Logbook => Bug
2015-09-17 13:19 WA9PIE Project @5@ => 1 - Backlog
2015-09-22 23:59 WA9PIE Fix Build TBD => (select)
2015-09-22 23:59 WA9PIE Summary Bug: Radio Buttons for path in Ant/Sat Tab of ALE will NOT save => Radio Buttons for path in Ant/Sat Tab of ALE will NOT save
2016-12-03 13:00 WA9PIE Reported in Build (ie. 377) 6.2.3.271 => 271
2016-12-03 13:00 WA9PIE Assigned To => WA9PIE
2016-12-03 13:00 WA9PIE Status new => confirmed
2016-12-03 13:55 WA9PIE Note Added: 0003030
2016-12-03 13:55 WA9PIE Status confirmed => acknowledged
2017-03-05 21:10 WA9PIE Note Added: 0003104
2018-04-26 01:02 WA9PIE Note Added: 0004898
2018-04-26 01:02 WA9PIE Assigned To WA9PIE => K7ZCZ
2018-04-26 01:02 WA9PIE Testing => Not Started
2018-04-26 01:02 WA9PIE Project 1 - Backlog => 3 - Current Dev List
2018-04-26 01:03 WA9PIE Status acknowledged => assigned
2018-07-03 09:56 K7ZCZ Note Added: 0005599
2018-07-12 16:44 K7ZCZ Status assigned => resolved
2018-07-12 16:44 K7ZCZ Resolution open => fixed
2018-07-12 16:44 K7ZCZ Fixed in Version => 6.4.0.864
2018-07-12 16:44 K7ZCZ Note Added: 0005665
2018-07-13 15:14 g3ucq Note Added: 0005673
2018-07-13 15:33 K7ZCZ Note Added: 0005679
2018-07-13 17:09 g3ucq Note Added: 0005689
2018-07-14 14:28 K7ZCZ Note Added: 0005702
2018-07-14 15:27 g3ucq Note Added: 0005703
2018-07-17 16:41 WA9PIE Status resolved => closed
2018-07-17 16:41 WA9PIE Testing Not Started => Beta Successful
2018-07-23 22:52 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe
2018-07-24 15:36 WA9PIE Project Ham Radio Deluxe => 3 - Current Dev List
2018-07-25 08:00 WA9PIE Fixed in Version 6.4.0.864 => 6.4.0.873
2018-07-25 20:47 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe